Skip to main content
PUT
Edit a commitment

Authorizations

X-HYS-API-Key
string
header
required

Gratona API key sent with the compatibility header X-HYS-API-Key.

Path Parameters

commitment_id
integer
required

The id of the commitment to edit

Body

application/json

Data needed to edit a commitment

frequency
integer
Example:

1

until
string
Example:

"0000-00-00"

method
integer
Example:

3

amount
number
Example:

100

is_per_period_amount
boolean

Optional amount-basis override. The stored value is preserved when omitted.

Example:

true

next
string
Example:

""

program_id
string
Example:

"1"

Response

Successful operation

message
string
Example:

"Successful"